##
##  awstats.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2008 OpenPKG Foundation e.V. <http://openpkg.net/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   FIXME: rse: needs a basic cleanup, please!

#   package information
Name:         awstats
Summary:      Powerful Server Logfile Analyzer
URL:          http://awstats.sourceforge.net/
Vendor:       Laurent Destailleur
Packager:     OpenPKG Foundation e.V.
Distribution: OpenPKG Community
Class:        EVAL
Group:        Logfile
License:      GPL
Version:      6.8
Release:      20080101

#   list of sources
Source0:      http://awstats.sourceforge.net/files/awstats-%{version}.tar.gz
Source1:      awstats.postfix.conf
Source2:      awstats.apache.conf
Source3:      rc.awstats
Patch0:       awstats.patch

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20060823
PreReq:       OpenPKG, openpkg >= 20060823, perl
AutoReq:      no
AutoReqProv:  no

%description
    AWStats (Advanced Web Statistics) is a powerful and featureful
    web server logfile analyzer that shows you all your Web statistics
    including visitors, pages, hits, hours, search engines, keywords
    used to find your site, broken links, robots and more... It works
    with IIS 5.0+, Apache and all major web, wap, proxy, streaming
    server log files (and even ftp servers or mail logs) on all
    Operating Systems.

    NOTE: This package is optimized for Postfix and Apache mail
    statistics

%track
    prog awstats = {
        disabled
        comment   = "rse: JUNK class package"
        version   =  %{version}
        url       =  http://awstats.sourceforge.net/files/
        regex     =  awstats-(__VER__)\.tar.gz
    }

%prep
    %setup -q
    %patch -p0

%build

%install
    rm -rf $RPM_BUILD_ROOT
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/etc/awstats \
        $RPM_BUILD_ROOT%{l_prefix}/etc/rc.d \
        $RPM_BUILD_ROOT%{l_prefix}/share/awstats/js \
        $RPM_BUILD_ROOT%{l_prefix}/share/awstats/lib \
        $RPM_BUILD_ROOT%{l_prefix}/share/awstats/css \
        $RPM_BUILD_ROOT%{l_prefix}/share/awstats/lang \
        $RPM_BUILD_ROOT%{l_prefix}/share/awstats/icon/browser \
        $RPM_BUILD_ROOT%{l_prefix}/share/awstats/icon/clock \
        $RPM_BUILD_ROOT%{l_prefix}/share/awstats/icon/flags \
        $RPM_BUILD_ROOT%{l_prefix}/share/awstats/icon/os \
        $RPM_BUILD_ROOT%{l_prefix}/share/awstats/icon/cpu \
        $RPM_BUILD_ROOT%{l_prefix}/share/awstats/icon/other \
        $RPM_BUILD_ROOT%{l_prefix}/var/awstats \
        $RPM_BUILD_ROOT%{l_prefix}/web/awstats \
        $RPM_BUILD_ROOT%{l_prefix}/sbin \
        $RPM_BUILD_ROOT%{l_prefix}/cgi
    %{l_shtool} install -c -m 644 %{l_value -s -a} \
        %{SOURCE awstats.postfix.conf} $RPM_BUILD_ROOT%{l_prefix}/etc/awstats/
    %{l_shtool} install -c -m 644 %{l_value -s -a} \
        %{SOURCE awstats.apache.conf} $RPM_BUILD_ROOT%{l_prefix}/etc/awstats/
    %{l_shtool} install -c -m 755 %{l_value -s -a} \
        %{SOURCE rc.awstats} $RPM_BUILD_ROOT%{l_prefix}/etc/rc.d/
    %{l_shtool} install -c -m 644 \
        wwwroot/js/* $RPM_BUILD_ROOT%{l_prefix}/share/awstats/js/
    %{l_shtool} install -c -m 644 \
        wwwroot/cgi-bin/lib/* $RPM_BUILD_ROOT%{l_prefix}/share/awstats/lib/
    %{l_shtool} install -c -m 644 \
        wwwroot/css/* $RPM_BUILD_ROOT%{l_prefix}/share/awstats/css/
    %{l_shtool} install -c -m 644 \
        wwwroot/icon/browser/* $RPM_BUILD_ROOT%{l_prefix}/share/awstats/icon/browser/
    %{l_shtool} install -c -m 644 \
        wwwroot/icon/clock/* $RPM_BUILD_ROOT%{l_prefix}/share/awstats/icon/clock/
    %{l_shtool} install -c -m 644 \
        wwwroot/icon/cpu/* $RPM_BUILD_ROOT%{l_prefix}/share/awstats/icon/cpu/
    %{l_shtool} install -c -m 644 \
        wwwroot/icon/flags/* $RPM_BUILD_ROOT%{l_prefix}/share/awstats/icon/flags/
    %{l_shtool} install -c -m 644 \
        wwwroot/icon/os/* $RPM_BUILD_ROOT%{l_prefix}/share/awstats/icon/os/
    %{l_shtool} install -c -m 644 \
        wwwroot/icon/other/* $RPM_BUILD_ROOT%{l_prefix}/share/awstats/icon/other/
    %{l_shtool} install -c -m 644 \
        wwwroot/cgi-bin/lang/* $RPM_BUILD_ROOT%{l_prefix}/share/awstats/lang/
    %{l_shtool} install -c -m 755 \
        -e 's;/usr/bin/perl;%{l_prefix}/bin/perl;g' \
        -e 's;/etc/opt;%{l_prefix}/etc;g' \
        -e 's;/usr/share/awstats/lib;%{l_prefix}/share/awstats/lib;g' \
        wwwroot/cgi-bin/awstats.pl \
        $RPM_BUILD_ROOT%{l_prefix}/sbin/awstats
    %{l_shtool} install -c -m 755 \
        -e 's;/usr/bin/perl;%{l_prefix}/bin/perl;g' \
        tools/maillogconvert.pl \
        $RPM_BUILD_ROOT%{l_prefix}/sbin/maillogconvert
    %{l_shtool} install -c -m 755 \
        -e 's;/usr/bin/perl;%{l_prefix}/bin/perl;g' \
        tools/awstats_updateall.pl \
        $RPM_BUILD_ROOT%{l_prefix}/sbin/awstats_updateall
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean
     rm -rf $RPM_BUILD_ROOT

